package com.bocloud.ims.interfaces.resource;

import java.util.List;
import java.util.Map;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.BucketObject;

public interface BucketObjectService {

	public BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter, Boolean simple,
			RequestContext context);

	public BocloudResult upload(BucketObject bucketObject, RequestContext context);

	public BocloudResult detail(Long id, RequestContext context);

	public BocloudResult remove(Long id, RequestContext context);

	public BocloudResult download(Long id);

	public BocloudResult acl(BucketObject object, RequestContext context);

	public BocloudResult mkdir(BucketObject object, RequestContext context);

}
